FLANG

Public Types | Public Member Functions | Static Public Member Functions | List of all members
Fortran::evaluate::ArrayConstructor< RESULT > Class Template Reference
Inheritance diagram for Fortran::evaluate::ArrayConstructor< RESULT >:

## Public Types
using | Result = RESULT
using | Base = ArrayConstructorValues< Result >
Public Types inherited from Fortran::evaluate::ArrayConstructorValues< RESULT >
using | Result = RESULT
using | Values = std::vector< ArrayConstructorValue< Result > >

## Public Member Functions
| ArrayConstructor (Base &&values)
template<typename T >
| ArrayConstructor (const Expr< T > &)
llvm::raw_ostream & | AsFortran (llvm::raw_ostream &) const
Public Member Functions inherited from Fortran::evaluate::ArrayConstructorValues< RESULT >
bool | operator== (const ArrayConstructorValues &) const
template<typename A >
common::NoLvalue< A > | Push (A &&x)
Values::iterator | begin ()
Values::const_iterator | begin () const
Values::iterator | end ()
Values::const_iterator | end () const

## Static Public Member Functions
static constexpr Result | result ()
static constexpr DynamicType | GetType ()
Static Public Member Functions inherited from Fortran::evaluate::ArrayConstructorValues< RESULT >
static constexpr int | Rank ()

## Additional Inherited Members
Protected Attributes inherited from Fortran::evaluate::ArrayConstructorValues< RESULT >
Values | values_

The documentation for this class was generated from the following files:

- include/flang/Evaluate/expression.h
- lib/Evaluate/formatting.cpp